Package org.opensaml.saml.saml2.core.impl

# Class BaseIDImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml2.core.impl.BaseIDImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `BaseID`

public abstract class BaseIDImpl extends AbstractXMLObject implements BaseID
Concrete implementation of `BaseID`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`nameQualifier`
Name Qualifier of BaseID.
`private String`
`spNameQualfier`
SP Name Qualifier of Base.

### Fields inherited from interface org.opensaml.saml.saml2.core.BaseID

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, NAME_QUALIFIER_ATTRIB_NAME, SP_NAME_QUALIFIER_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`BaseIDImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getNameQualifier()`
Gets the NameQualifier value.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`String`
`getSPNameQualifier()`
Gets the SPNameQualifier value.
`void`
`setNameQualifier(String newNameQualifier)`
Sets the NameQualifier value.
`void`
`setSPNameQualifier(String newSPNameQualifier)`
Sets the SPNameQualifier value.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### nameQualifier

@Nullable private String nameQualifier
Name Qualifier of BaseID.

### spNameQualfier

@Nullable private String spNameQualfier
SP Name Qualifier of Base.

## Constructor Details

### BaseIDImpl

protected BaseIDImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getNameQualifier

@Nullable public String getNameQualifier()
Gets the NameQualifier value.

Specified by:
  `getNameQualifier` in interface `BaseID`
Returns:
  the NameQualifier value

### setNameQualifier

public void setNameQualifier(@Nullable String newNameQualifier)
Sets the NameQualifier value.

Specified by:
  `setNameQualifier` in interface `BaseID`
Parameters:
  `newNameQualifier` - the NameQualifier value

### getSPNameQualifier

@Nullable public String getSPNameQualifier()
Gets the SPNameQualifier value.

Specified by:
  `getSPNameQualifier` in interface `BaseID`
Returns:
  the SPNameQualifier value

### setSPNameQualifier

public void setSPNameQualifier(@Nullable String newSPNameQualifier)
Sets the SPNameQualifier value.

Specified by:
  `setSPNameQualifier` in interface `BaseID`
Parameters:
  `newSPNameQualifier` - the SPNameQualifier value

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements